kind: pipeline
name: production
when:
  event: [ push ]
  branch: [ main ]

clone:
  git:
    image: plugins/git
    pull: true

steps:
  - name: build
    image: node:latest
    commands:
      - npm i
      - npx @11ty/eleventy

  - name: deploy
    image: drillster/drone-rsync
    settings:
      hosts:
        from_secret: deploy_host
      target: /var/www/vault.kobold.city
      source: _site/*
      user:
        from_secret: deploy_user
      key:
        from_secret: deploy_key
    when:
      branch: main
    delete: true
